JackTrip

Public Member Functions | Public Attributes | List of all members
RtAudio::StreamParameters Struct Reference

The structure for specifying input or ouput stream parameters. More...

`#include <RtAudio.h>`

## Public Member Functions
| StreamParameters ()

## Public Attributes
unsigned int | deviceId
unsigned int | nChannels
unsigned int | firstChannel

## Detailed Description

The structure for specifying input or ouput stream parameters.

## Constructor & Destructor Documentation

## ◆ StreamParameters()

RtAudio::StreamParameters::StreamParameters | ( |  | ) |
| inline

## Member Data Documentation

## ◆ deviceId

unsigned int RtAudio::StreamParameters::deviceId

Device index (0 to getDeviceCount() - 1).

## ◆ firstChannel

unsigned int RtAudio::StreamParameters::firstChannel

First channel index on device (default = 0).

## ◆ nChannels

unsigned int RtAudio::StreamParameters::nChannels

Number of channels.

The documentation for this struct was generated from the following file:

- src/RtAudio.h